/* snmp-g.h - SNMP group */

/* 
 * $Header$
 *
 *
 * $Log$
 */

/*
 *			  ISODE 8.0 NOTICE
 *
 *   Acquisition, use, and distribution of this module and related
 *   materials are subject to the restrictions of a license agreement.
 *   Consult the Preface in the User's Manual for the full terms of
 *   this agreement.
 *
 *
 *			4BSD/ISODE SNMPv2 NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions given in the file
 *    SNMPv2-READ-ME.
 *
 */


#include "psap.h"


struct snmpstat {
    integer	s_packets;
    integer	s_30something;
    integer	s_encodingerrs;
    integer	s_unknowndstparties;
    integer	s_dstpartymismatches;
    integer	s_unknownsrcparties;
    integer	s_badauths;
    integer	s_notinlifetimes;
    integer	s_wrongdigestvalues;
    integer	s_unknowncontexts;
    integer	s_badoperations;
    integer	s_silentdrops;

    integer	s_badcommunitynames;
    integer	s_badcommunityuses;

    caddr_t    *s_enableauthentraps;
#define	TRAPS_ENABLED	1			/* snmpEnableAuthenTraps */
#define	TRAPS_DISABLED	2			/*   .. */
#define	TRAPS_MAXVALUE	TRAPS_DISABLED

    integer	s_outpkts;
    integer	s_badversions;
    integer	s_intoobigs;
    integer	s_innosuchnames;
    integer	s_inbadvalues;
    integer	s_inreadonlys;
    integer	s_ingenerrs;
    integer	s_totalreqvars;
    integer	s_totalsetvars;
    integer	s_ingetrequests;
    integer	s_ingetnexts;
    integer	s_insetrequests;
    integer	s_ingetresponses;
    integer	s_intraps;
    integer	s_outtoobigs;
    integer	s_outnosuchnames;
    integer	s_outbadvalues;
    integer	s_outgenerrs;
    integer	s_outgetrequests;
    integer	s_outgetnexts;
    integer	s_outsetrequests;
    integer	s_outgetresponses;
    integer	s_outtraps;
};

extern struct snmpstat snmpstat;

extern caddr_t	*agentAction;
#define	AGENT_OTHER	 1
#define	AGENT_COLDSTART	 2
#define	AGENT_DUMPARTYDB 3
#define	AGENT_TERMINATE	 4
#define	AGENT_WARMSTART	 5
#define	AGENT_DEBUGON	6
#define	AGENT_DEBUGOFF	7
#define	AGENT_MAXVALUE	AGENT_DEBUGOFF
