if {[info exists snmptcl_loaded(CLNS-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(CLNS-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC1155-SMI.tcl)]} {
    if {[file readable RFC1155-SMI.tcl]} {
	source RFC1155-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1155-SMI.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1213.tcl)]} {
    if {[file readable RFC-1213.tcl]} {
	source RFC-1213.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1213.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {[catch { snmpinfo mibprop clns value }]} {
    if {[file readable CLNS-MIB.defs]} {
	snmpmisc mibload CLNS-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/CLNS-MIB.defs
    }
}
