if {[info exists snmptcl_loaded(DECNET-PHIV-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(DECNET-PHIV-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC1155-SMI.tcl)]} {
    if {[file readable RFC1155-SMI.tcl]} {
	source RFC1155-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1155-SMI.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC1213-MIB.tcl)]} {
    if {[file readable RFC1213-MIB.tcl]} {
	source RFC1213-MIB.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1213-MIB.tcl }
    }
}

if {[catch { snmpinfo mibprop phiv value }]} {
    if {[file readable DECNET-PHIV-MIB.defs]} {
	snmpmisc mibload DECNET-PHIV-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/DECNET-PHIV-MIB.defs
    }
}
