if {[info exists snmptcl_loaded(TOKEN-RING-RMON-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(TOKEN-RING-RMON-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC1155-SMI.tcl)]} {
    if {[file readable RFC1155-SMI.tcl]} {
	source RFC1155-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1155-SMI.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC1271-MIB.tcl)]} {
    if {[file readable RFC1271-MIB.tcl]} {
	source RFC1271-MIB.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1271-MIB.tcl }
    }
}

if {[catch { snmpinfo mibprop tokenRing value }]} {
    if {[file readable TOKEN-RING-RMON-MIB.defs]} {
	snmpmisc mibload TOKEN-RING-RMON-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/TOKEN-RING-RMON-MIB.defs
    }
}
