if {[info exists snmptcl_loaded(RFC1414-MIB.tcl)]} {
    return
}
set	snmptcl_loaded(RFC1414-MIB.tcl)	1

if {![info exists snmptcl_loaded(RFC-1212.tcl)]} {
    if {[file readable RFC-1212.tcl]} {
	source RFC-1212.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC-1212.tcl }
    }
}

if {![info exists snmptcl_loaded(RFC1213-MIB.tcl)]} {
    if {[file readable RFC1213-MIB.tcl]} {
	source RFC1213-MIB.tcl
    } else {
	catch { source $snmptcl_library/mibs/RFC1213-MIB.tcl }
    }
}

if {[catch { snmpinfo mibprop ident value }]} {
    if {[file readable RFC1414-MIB.defs]} {
	snmpmisc mibload RFC1414-MIB.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/RFC1414-MIB.defs
    }
}
