if {[info exists snmptcl_loaded(SNMPv2-TM.tcl)]} {
    return
}
set	snmptcl_loaded(SNMPv2-TM.tcl)	1

if {![info exists snmptcl_loaded(SNMPv2-SMI.tcl)]} {
    if {[file readable SNMPv2-SMI.tcl]} {
	source SNMPv2-SMI.tcl
    } else {
	catch { source $snmptcl_library/mibs/SNMPv2-SMI.tcl }
    }
}

if {![info exists snmptcl_loaded(SNMPv2-TC.tcl)]} {
    if {[file readable SNMPv2-TC.tcl]} {
	source SNMPv2-TC.tcl
    } else {
	catch { source $snmptcl_library/mibs/SNMPv2-TC.tcl }
    }
}

if {[catch { snmpinfo mibprop snmpUDPDomain value }]} {
    if {[file readable SNMPv2-TM.defs]} {
	snmpmisc mibload SNMPv2-TM.defs
    } else {
	snmpmisc mibload /usr/include/isode/snmp/SNMPv2-TM.defs
    }
}
